#include<bits/stdc++.h>
// #define int long long
// #define mod 1000000007
#define rep(i,j,k) for(int i=j;i<=k;i++)
#define per(i,j,k) for(int i=j;i>=k;i--)
using namespace std;
int read()
{
	int w=1,x=0;char c=getchar();
	while(!isdigit(c)){if(c=='-')w=-1;c=getchar();}
	while(isdigit(c))x=x*10+(c-'0'),c=getchar();
	return w*x;
}
void read(int &x){x=read();}
void write(int x)
{
	if(x<0){x=-x;putchar('-');}
	if(x/10)write(x/10);
	putchar(x%10+'0');
}
void write(int x,char c){write(x),putchar(c);}

int main()
{
	freopen("dfs.in","r",stdin);
	freopen("dfs.out","w",stdout);
}